<?php

/**
 * @file
 * API hooks for the Embed Templates module.
 */

/**
 * Add your custom embed codes.
 *
 * The <script> and <noscript> tags will be rendered for you, so don't place
 * those in your template files.
 *
 * array $custom_embed
 *   - label: The human-readable name of your embed code.
 *   - form_callback: This callback generates the form elements for embed creation.
 *   - submission_callback: This callback fires when
 *   - path: The path of your module helps to find your templates.
 *   - custom_template: You need to enter the full path to your template file.
 *   - (optional) custom_noscript_template: Include <noscript> if there is one.
 *
 * @return array
 */
function hook_embed_templates_types() {
  $custom_embeds = array();

  $custom_embeds['my_pixel'] = array(
    'label' => 'My Tracking Pixel',
    'form_callback' => 'my_pixel_form',
    'submission_callback' => 'my_pixel_form_submit',
    'path' => drupal_get_path('module', 'my_module'),
    'template' => 'templates/tracking-pixel-custom-service',
  );

  return $custom_embeds;
}
